%button {
  /* A nice visual button */
  background-color: $alert-blue;
  font-weight: 700;
  text-transform: uppercase;
  color: white;
  text-decoration: none;
  padding: 0.875rem 2rem;
  border-radius: 0.2rem;
  border: 0;
}


.cart--count{
  display: inline-block;
  width: 3rem;
  text-align: center;
  margin-right: 1rem;
}


.cart--header{
  @include clearfix;
  width: 100%;
  padding: 1rem 0;
  @include wider-than ( tablet ){
    padding: 3rem 0;
  }

  &--title{
    float: left;
    line-height: 1;
    margin: 0;
  }
}

.wc-proceed-to-checkout a {
  @extend %button;
  float: right;
}


// the list of products
.shop_table{
  width: 100%;
  border-collapse: collapse;

  th{
    text-align: left;
    border-bottom: 1px solid $grey-line;
    font-weight: 400;
  }

  td{
    border-bottom: 1px solid $grey-line;
    padding: 0.8rem 0;
    text-align: left;
  }

  tr {
    width: 100%;
  }

  .product-thumbnail{
    img{
      border: 1px solid $grey-line;
      height: auto;
      @include object-fit( contain );
      padding: 5px;
      max-width: 45px;
      max-height: 45px;
      @include wider-than ( tablet ){
        max-width: 75px;
        max-height: 75px;
      }
    }
  }

  input.input-text.qty.text {
      width: 3rem;
      text-align: center;
  }

  td.product-name{
    // Title style link for product
    a{
      font-size: 1.125rem;
      font-weight: 700;
      color: $text;
      text-decoration: none;
    }
    // List of variations
    dl.variation{
      dt{ font-weight: 400; }
      dd, dt, p { font-size: 1rem; }
    }
  }
}

@include not-wider-than( tablet ){
  .shop_table_responsive{

    th{ display: none; }
    tr, td{
      display: inline-block;
      float: left;
      padding: 0;
      border-bottom: 0;
    }

    // Each table cell has a data-title element
    // that we can target to display the before
    // as a label for the content. Right?
    [data-title]{
      &:before{
        content: attr( data-title ) ':';
        display: inline-block;
        vertical-align: middle;
      }
      > span,
      > div {
        display: inline-block;
        vertical-align: middle;
      }
    }
    /* Specific table rows */
    [data-title="Product"]{
      padding-left: 0.5rem;
      &:before{ display: none; }
    }

    .cart_item{
      margin-bottom: 2rem;
      border-bottom: 1px solid $grey-line;
    }

    .product-remove{
      width: 20px;
    }
    .product-thumbnail{
      width: 50px;
      img { max-width: 100%; }
    }
    .product-name {
      width: 70%;
      width: calc( 100% - 70px );
      clear: right;

    }
    .product-price    {
      width: 100%;
      clear: left;
    }
    .product-quantity {
      width: 100%;
      input{
        padding: 0.3rem;
        width: 2.5rem;
        vertical-align: middle;
        margin-left: 0.3rem;
      }
    }
    .product-subtotal {
      width: 100%;
      clear: right;
    }
  }
}


.cart_item {
  .woocommerce-Price-amount{
    font-size: 1.125rem;
  }

  .product-subtotal {
    font-weight: 700;
  }
}

td.actions {
  width: 100%;
  .coupon{
    @include span( 6, 12 );

    label,
    input{
      vertical-align: middle;

      @include placeholder{
        opacity: 0.3;
      }
    }
  }

  .button {
    @extend %button;
    float: right;
  }
}


.shipping{

}


.cart_totals {
  @include clearfix;

  h2{ display: none; }

  .shop_table{

    th, td{
      text-align: right;
      padding: 0.8rem 0;
    }

    @include wider-than( tablet ){
      th{
        padding-right: 1rem;
        vertical-align: top;
      }
      td{
        // width: 20rem;
      }

    }

    ul {
      margin: 0;
      padding: 0;
      list-style: none;

      li{
        position: relative;
        // If there's only one, or if it's
        // the last item, we'll ignore this
        &:not(:only-child):not(:last-child){
          label{
            border-bottom: 0;
          }
        }

        label {
          border: 1px solid $grey-line;
          padding: 0.5rem 0.5rem 0.5rem 3rem;
          display: inline-block;
          width: 100%;
          position: relative;
          cursor: pointer;

          &:before{
            content: "";
            height: 100%;
            width: 2.5rem;
            border-right: 1px solid $grey-line;
            display: inline-block;
            position: absolute;
            left: 0;
            top: 0;
          }
        }

        input{
          position: absolute;
          left: 0.85rem;
          top: 50%;
          transform: translateY( -50% );

          &:checked {
            display: none;

            & ~ label {

              &:before{
                content: "";
                height: 100%;
                width: 2.5rem;
                border-right: 1px solid darken( $alert-green, 10% );
                display: inline-block;
                position: absolute;
                left: 0;
                top: 50%;
                transform: translateY( -50% );
                background-position: center center;
                background-repeat: no-repeat;
                background-size: 1rem 1rem;
                background-image: url( '../images/success.svg' );
                .no-svg & { background-image: url( '../images/success.png' ); }

                @supports ( filter: invert( 100% ) ) {
                  background-color: invert( $alert-green );
                  border-right: 1px solid invert( darken( $alert-green, 5% ) );
                  filter: invert( 100% );
                }
              }
            }
          }
        }
      }
    }
  }

  .wc-proceed-to-checkout{
    @include clearfix;
    padding: 1.875rem 0;
  }
}


//tr.shipping{

//  // th, td{ display: block; }

//  ul#shipping_method {
//      margin: 0;
//      padding: 0;
//      list-style: none;

//      li{
//        position: relative;
//        // If there's only one, or if it's
//        // the last item, we'll ignore this
//        &:not(:only-child):not(:last-child){
//          label{
//            border-bottom: 0;
//          }
//        }

//        label {
//          border: 1px solid $grey-line;
//          padding: 0.5rem 0.5rem 0.5rem 3rem;
//          display: inline-block;
//          width: 100%;
//          position: relative;
//          cursor: pointer;

//          &:before{
//            content: "";
//            height: 2.5rem;
//            width: 2.5rem;
//            border-right: 1px solid $grey-line;
//            display: inline-block;
//            position: absolute;
//            left: 0;
//            top: 0;
//          }
//        }

//        input{
//          position: absolute;
//          left: 0.85rem;
//          top: 50%;
//          transform: translateY( -50% );

//          &:checked {
//            display: none;

//            & ~ label {

//              &:before{
//                content: "";
//                height: 100%;
//                width: 2.5rem;
//                border-right: 1px solid darken( $alert-green, 10% );
//                display: inline-block;
//                position: absolute;
//                left: 0;
//                top: 50%;
//                transform: translateY( -50% );
//                background-position: center center;
//                background-repeat: no-repeat;
//                background-size: 1rem 1rem;
//                background-image: url( '../images/success.svg' );
//                .no-svg & { background-image: url( '../images/success.png' ); }

//                @supports ( filter: invert( 100% ) ) {
//                  background-color: invert( $alert-green );
//                  border-right: 1px solid invert( darken( $alert-green, 5% ) );
//                  filter: invert( 100% );
//                }
//              }
//            }
//          }
//        }
//      }
//    }
//}

.shipping-calculator-button{
  font-size: 0.9rem;
}

.cart-collaterals{
}